local eo = {}

-- Templates
eo.tpl_vars = {
  post = {
    author = "{{ aŭtoro }}",
    content = "{{ entenaĵo }}",
    date = "{{ dato }}",
    summary = "{{ resumo }}",
    -- This is not used in the templates yet.
    tags = "{{ markoj }}",
    title = "{{ titolo }}",
	-- unuforma risurca lokindiko
    url = "{{ url }}",
  },
  feed = {
    date = "{{ dato }}",
    url = "{{ XML-fluo_url }}",
  },
  index = {
    posts = "{{ afiŝejo }}",
  },
  log = {
    author = "{{ aŭtoro }}",
    subtitle = "{{ subtitolo }}",
    title = "{{ titolo }}",
    url = "{{ protokolo_url }}",
  },
}

eo.atom_header = [[<?xml version="1.0" encoding="UTF-8"?>
<feed xmlns="http://www.w3.org/2005/Atom">
  <title>{{ titolo }}</title>
  <subtitle>{{ subtitolo }}</subtitle>
  <updated>{{ dato }}</updated>
  <author>
    <name>{{ aŭtoro }}</name>
  </author>
  <id>{{ XML-fluo_url }}</id>
  <link href="{{ protokolo_url }}" rel="alternate"/>
  <link href="{{ XML-fluo_url }}" rel="self" type="application/atom+xml"/>
]]

eo.atom_entry = [[
  <entry>
    <id>{{ url }}</id>
    <title>
      <![CDATA[{{ titolo }}]] .. "]]>" .. [[

    </title>
    <updated>{{ dato }}</updated>
    <author>
      <name>{{ aŭtoro }}</name>
    </author>
    <link href="{{ url }}" rel="alternate"/>
    <summary>
      <![CDATA[{{ resumo }}]] .. "]]>" .. [[

    </summary>
    <content>
      <![CDATA[{{ entenaĵo }}]] .. "]]>" .. [[

    </content>
  </entry>
]]

eo.atom_footer = [[</feed>]]

eo.post = [[---
date: {{ dato }}
---

# {{ titolo }}




## Ligiloj

=> gemini:// ligilo
=> gemini:// ligilo (bildo)
=> https:// ligilo (https)]]

eo.index = [[
# {{ titolo }}
{{ afiŝejo }}
]]

eo.page = [[
# {{ titolo }}

## supra paĝotitolo 2
### supra paĝotitolo 3

Tabelo:

*
*
*

```
antaŭformatita teksto
```


## Ligiloj

=> gemini:// ligilo
=> gemini:// ligilo (bildo)
=> https:// ligilo (https)]]


eo.msgs = {}

-- %s: gemtext filename
eo.msgs.add_gemtext = "Kreita %s."

-- %s: app executable name
eo.msgs.help_usage = [[%s [opcioj] [kapsulo] [titolo]

]]

-- %s: command-line options
-- (see env.lua env.cli_opts for the full list)
eo.msgs.help_opts = [[
Opcioj:

%s [lang]             Generi agordan dosierujon
%s [kapsulo] [titolo]    Aldonu novan paĝon kun la donita titolo
%s [kapsulo] [titolo]    Aldonu novan gemlog-afiŝon kun la donita titolo
%s                     Generu indeksan paĝon kaj fonton de afiŝoj
%s                   Indeksu kaj kopiu afiŝojn malproksime uzante scp

%s                      Helpema helpo estas helpema
%s                   Presaĵversio-informoj
]]

-- %s: list of language codes
eo.msgs.help_lang_opts = [[

Agordu lingvo-opciojn:

%s]]

eo.msgs.index = "Kreita indeksa paĝo kaj feed"

-- %s: config directory path
eo.msgs.load_config = [[Kreis agordosierojn. Bonvolu redakti ilin per la ĝustaj
detaloj antaŭ ol daŭrigi. La agordosieroj troveblas ĉe:
%s]]

eo.msgs.publish = "Eldonita kapsulo."


eo.errs = {
   invalid_cap_id = "Eraro: nekonata kapsula id.",
}

return eo
