local fr = {}

-- Templates
fr.tpl_vars = {
  post = {
    author = "{{ auteur }}",
    content = "{{ contenu }}",
    date = "{{ date }}",
    summary = "{{ résumé }}",
    -- This is not used in the templates yet.
    tags = "{{ tags }}",
    title = "{{ titre }}",
    url = "{{ url }}",
  },
  feed = {
    date = "{{ date }}",
    url = "{{ url_flux }}",
  },
  index = {
    posts = "{{ articles }}",
  },
  log = {
    -- The concept of a "gemlog" does not have a French translation,
    -- the closest term after some discussion might be "journal".
    author = "{{ auteur }}",
    subtitle = "{{ sous_titre }}",
    title = "{{ titre }}",
    log_url = "{{ url_journal }}",
  },
}

fr.atom_header = [[<?xml version="1.0" encoding="UTF-8"?>
<feed xmlns="http://www.w3.org/2005/Atom">
  <title>{{ titre }}</title>
  <subtitle>{{ sous_titre }}</subtitle>
  <updated>{{ date }}</updated>
  <author>
    <name>{{ auteur }}</name>
  </author>
  <id>{{ url_flux }}</id>
  <link href="{{ url_journal }}" rel="alternate"/>
  <link href="{{ url_flux }}" rel="self" type="application/atom+xml"/>
]]

fr.atom_entry = [[
  <entry>
    <id>{{ url }}</id>
    <title>
      <![CDATA[{{ titre }}]] .. "]]>" .. [[

    </title>
    <updated>{{ date }}</updated>
    <author>
      <name>{{ auteur }}</name>
    </author>
    <link href="{{ url }}" rel="alternate"/>
    <summary>
      <![CDATA[{{ résumé }}]] .. "]]>" .. [[

    </summary>
    <content>
      <![CDATA[{{ contenu }}]] .. "]]>" .. [[

    </content>
  </entry>
]]

fr.atom_footer = [[</feed>]]

fr.post = [[---
date: {{ date }}
---

# {{ titre }}




## Liens

=> gemini:// lien
=> gemini:// lien (image)
=> https:// lien (https)]]

fr.index = [[
# {{ titre }}
{{ articles }}
]]

fr.page = [[
# {{ titre }}

## Titre de niveau 2
### Titre de niveau 3

Liste :

*
*
*

```
Texte préformaté
```


## Liens

=> gemini:// lien
=> gemini:// lien (image)
=> https:// lien (https)]]


fr.msgs = {}

-- %s: gemtext filename
fr.msgs.add_gemtext = "%s créé."

-- %s: app executable name
fr.msgs.help_usage = [[%s [options] [capsule] [titre]

]]

-- %s: command-line options
-- (see env.lua env.cli_opts for the full list)
fr.msgs.help_opts = [[
Options :

%s [lang]             Générer un dossier de configuration
%s [capsule] [titre]    Ajouter une nouvelle page avec le titre fourni
%s [capsule] [titre]    Ajouter un nouvel article avec le titre fourni
%s                     Générer une page d'accueil et un flux d'articles
%s                   Générer les pages puis les publier via scp
%s                      Afficher ce message d'aide
%s                   Afficher les informations de version
]]

-- %s: list of language codes
fr.msgs.help_lang_opts = [[

Langues disponibles :

%s]]

fr.msgs.index = "Flux et page d'accueil créés."

-- %s: config directory path
fr.msgs.load_config = [[Les fichiers de configuration ont été créés. Veuillez y
inscrire les valeurs correctes avant de continuer.
Les fichiers peuvent être trouvés dans :
%s]]

fr.msgs.publish = "Capsule publiée."


fr.errs = {
  invalid_cap_id = "Erreur: Identifiant de capsule inconnu.",
}

return fr
